## com.bbn.openmap.tools.roads
Class RoadLine

    java.lang.Object
      com.bbn.openmap.tools.roads.Visual
          com.bbn.openmap.tools.roads.RoadLine

All Implemented Interfaces:
  RoadObject, java.io.Serializable

public class RoadLine
extends Visual
implements RoadObject

See Also:
  Serialized Form

Nested Class Summary
`class` `RoadLine.Graphic`

Field Summary

Fields inherited from class com.bbn.openmap.tools.roads.Visual
`blinkState, layer`

Constructor Summary
`RoadLine(Road road, int index)`

Method Summary
`RoadPoint` `addRoadPoint(int x, int y)`
`static java.lang.Class` `getGraphicClass()`
`Road` `getRoad()`
`void` `moveTo(java.awt.Point loc)`
`void` `render(OMGraphicList gl, boolean forceNew)`

Methods inherited from class com.bbn.openmap.tools.roads.Visual
`blink, getVisual, setVisual, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.tools.roads.RoadObject
`blink`

Constructor Detail

### RoadLine

    public RoadLine(Road road,
                    int index)

Method Detail

### getGraphicClass

    public static java.lang.Class getGraphicClass()

### moveTo

    public void moveTo(java.awt.Point loc)

  Specified by:
    `moveTo` in interface `RoadObject`

### addRoadPoint

    public RoadPoint addRoadPoint(int x,
                                  int y)

### getRoad

    public Road getRoad()

### render

    public void render(OMGraphicList gl,
                       boolean forceNew)

  Specified by:
    `render` in interface `RoadObject`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details